<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <RelativeLayout
        android:id="@+id/imgs"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <!--        <com.google.android.material.imageview.ShapeableImageView-->
        <!--            android:id="@+id/rhs_img"-->
        <!--            android:layout_width="150dp"-->
        <!--            android:layout_height="150dp"-->
        <!--            android:layout_toEndOf="@id/lhs_img"-->
        <!--            app:srcCompat="@mipmap/ic_launcher"-->
        <!--            app:shapeAppearanceOverlay="@style/ShapeAppearanceOverlay.App.CornerSize50Percent"-->
        <!--            />-->
    </RelativeLayout>

    <RelativeLayout
        android:id="@+id/names"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/imgs">

    </RelativeLayout>

<!--    <TextView-->
<!--        android:id="@+id/header_title"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:layout_marginBottom="64dp"-->
<!--        android:text="We think they match is 97% !!"-->
<!--        android:textAlignment="center"-->
<!--        android:textAllCaps="true"-->
<!--        android:textSize="24sp"-->
<!--        app:layout_constraintBottom_toTopOf="@id/imgs" />-->

<!--    <ImageButton-->
<!--        android:id="@+id/make_match"-->
<!--        android:layout_width="80dp"-->
<!--        android:layout_height="80dp"-->
<!--        android:layout_marginEnd="64dp"-->
<!--        android:layout_marginBottom="48dp"-->
<!--        android:contentDescription="TODO"-->
<!--        app:layout_constraintBottom_toBottomOf="parent"-->
<!--        app:layout_constraintEnd_toEndOf="parent"-->
<!--        app:srcCompat="@drawable/ic_baseline_check_circle_24" />-->

<!--    <ImageButton-->
<!--        android:id="@+id/not_make_match"-->
<!--        android:layout_width="80dp"-->
<!--        android:layout_height="80dp"-->
<!--        android:layout_marginStart="64dp"-->
<!--        android:layout_marginBottom="48dp"-->
<!--        android:contentDescription="TODO"-->
<!--        app:layout_constraintBottom_toBottomOf="parent"-->
<!--        app:layout_constraintStart_toStartOf="parent"-->
<!--        app:srcCompat="@drawable/ic_baseline_highlight_off_24" />-->

    <View
        android:id="@+id/swipe_detector"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <com.google.android.material.imageview.ShapeableImageView
        android:id="@+id/lhs_img"
        android:layout_width="150dp"
        android:layout_height="150dp"
        android:layout_marginStart="40dp"
        android:layout_marginTop="28dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:shapeAppearanceOverlay="@style/ShapeAppearanceOverlay.App.CornerSize50Percent"
        app:srcCompat="@mipmap/ic_launcher" />

    <TextView
        android:id="@+id/lhs_name"
        android:layout_width="142dp"
        android:layout_height="wrap_content"
        android:background="@color/teal_200"
        android:text="Manu Lavy"
        android:textAlignment="center"
        android:textAllCaps="true"
        android:textSize="24sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.38"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.092" />

    <TextView
        android:id="@+id/rhs_name"
        android:layout_width="142dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="16dp"
        android:background="@color/teal_200"
        android:text="7 matches so far"
        android:textAlignment="center"
        android:textAllCaps="true"
        android:textSize="24sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.363"
        app:layout_constraintStart_toStartOf="parent"

        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.233" />

    <TextView
        android:id="@+id/successful_matches"
        android:layout_width="143dp"
        android:layout_height="127dp"
        android:background="@color/teal_200"
        android:text="successful_matches"
        android:textAlignment="center"
        android:textAllCaps="true"
        android:textSize="24sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.673"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/declined_matches"
        android:layout_width="143dp"
        android:layout_height="127dp"
        android:background="@color/teal_200"
        android:text="declined_matches"
        android:textAlignment="center"
        android:textAllCaps="true"
        android:textSize="24sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.948"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <EditText
        android:id="@+id/bio"
        android:layout_width="473dp"
        android:layout_height="94dp"
        android:background="@color/white"
        android:text="bio"
        android:textAlignment="center"
        android:textAllCaps="true"
        android:textSize="24sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.898"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/successful_matches"
        app:layout_constraintVertical_bias="0.91" />

    <ImageButton
        android:id="@+id/edit_button"
        android:layout_width="121dp"
        android:layout_height="41dp"
        android:layout_marginStart="56dp"
        android:layout_marginTop="204dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:srcCompat="@android:drawable/ic_menu_edit" />

</androidx.constraintlayout.widget.ConstraintLayout>